# List gifts

Section: Game data

```
GET https://ba.joexyz.online/api/v1/gifts?q=&limit=
```

Lists gifts by id, with the students who adore, love or like each one.

**Parameters**

- `q`: Matches gifts whose English or Japanese name contains this text.
- `limit`: Maximum number of results, 1–500.

## Authentication

None

## Query parameters

| Name | Value |
| --- | --- |
| `q` |  |
| `limit` |  |

## Example responses

### 200 OK

```json
{
  "data": [
    {
      "id": 5105,
      "name": "Airbook Rare",
      "nameJP": "エイ～ブックレア",
      "rarity": "SSR",
      "expValue": 60,
      "iconName": "item_icon_favor_lv2_5",
      "isLovedByEveryone": false,
      "adoredBy": [
        {
          "id": "chiaki",
          "name": "Chiaki"
        }
      ],
      "lovedBy": [],
      "likedBy": [],
      "iconUrl": "https://ba.cdn.nimblebun.works/v2/images/items/item_icon_favor_lv2_5.webp"
    }
  ]
}
```

## Examples

### cURL

```bash
curl 'https://ba.joexyz.online/api/v1/gifts?q=&limit='
```

### JavaScript

```javascript
const response = await fetch("https://ba.joexyz.online/api/v1/gifts?q=&limit=");

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://ba.joexyz.online/api/v1/gifts?q=&limit="

response = requests.get(url)
print(response.json())
```

### Go

```go
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	req, err := http.NewRequest("GET", "https://ba.joexyz.online/api/v1/gifts?q=&limit=", nil)
	if err != nil {
		panic(err)
	}

	res, err := http.DefaultClient.Do(req)
	if err != nil {
		panic(err)
	}
	defer res.Body.Close()

	data, _ := io.ReadAll(res.Body)
	fmt.Println(string(data))
}
```
